J'essaie de mettre en œuvre une connexion Facebook sur mon site Web à l'aide du SDK javascript Facebook. En suivant la documentation, j'ai mis en place la base comme ceci:

// Loads the FB sdk asynchronously
window.fbAsyncInit = function() {
    FB.init({
        appId      : 'xxx',
        cookie     : true,
        xfbml      : true,
        version    : 'v2.2'
    });
};

(function(d, s, id){
    var js, fjs = d.getElementsByTagName(s)[0];
    if (d.getElementById(id)) {return;}
    js = d.createElement(s); js.id = id;
    js.src = "//connect.facebook.net/en_US/sdk.js";
    fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));

Après quoi j'essaye d'appeler la méthode FB.getLoginStatus() comme ceci:

$(function() {
    $('#fb-login').click(function(){
        console.log('clicked my login button');
        FB.getLoginStatus(function(response) {
            console.log(response);
        });
    });
});

Mais malheureusement, ma console ne dit que ceci:

"clicked my login button"
Error: __noSuchMethod__ is deprecated

Quelqu'un sait-il ce qui ne va pas et comment je peux résoudre ce problème? Tous les conseils sont les bienvenus!

1
kramer65 17 juil. 2015 à 15:47

2 réponses

Meilleure réponse

C'est humiliant de dire cela, mais il s'est avéré que mon plugin de navigateur ghostery a bloqué le chargement du SDK Facebook. Après l'avoir éteint, cela a fonctionné comme un charme.

J'espère que cette réponse aidera d'autres personnes confrontées à cette stupidité à la réparer un peu plus vite que moi .. :)

Je vous souhaite à tous une belle journée!

1
kramer65 23 juil. 2015 à 16:18

Vous obtenez cette erreur car la version d'API utilisée par votre application est obsolète et les erreurs ne sont donc plus corrigées.

Transmettez la dernière version v2.4 ou v2.3.

-1
Nishant Ghodke 17 juil. 2015 à 15:00